# getIncidence.R
# definition for the function getIncidence()
# Input: gbyp (a list of genes in each pathway), eset (expression set)
# output: Am2 (Incidence Matrix - Pathway by Genes)
getIncidence <- function(gbyp=genes.by.pathway, eset=eset) {
  Am <- matrix(0, nrow=length(gbyp), ncol=length(unique(unlist(gbyp))))
  rownames(Am) <- names(gbyp)
  colnames(Am) <- unique(unlist(gbyp))
  for(i in 1:nrow(Am)) {  
    Am[i,gbyp[[i]]]=1
  }
  rm(i)
  commongenes <- intersect(colnames(Am), rownames(eset))
  eset <- eset[commongenes,]
  Am2 <- Am[,commongenes]
  return(Am2)
}
