# This code performs preliminary tasks, loading libraries, metadata, etc.
# samanwoy
# Thu Feb 28
# Loads libraries
####################################################################
require("org.Hs.eg.db")
require("genefilter")
require("gplots")
require("rgl")
require("pca3d")
require("igraph")
require("dplyr")
require("stats")
require("survival")
require("survminer")
# Params1: TCGA Code-to-Tissue mapping
####################################################################
params1 = read.table("Metadata/params.txt", header=TRUE)  

# Function definitions
####################################################################
source("Rcode/funcdefs/plotOverlap.R")
source("Rcode/funcdefs/getIncidence.R")
source("Rcode/funcdefs/drawPathwayGeneHeatmap.R")
source("Rcode/funcdefs/makeNormEsetTCGA.R")
source("Rcode/funcdefs/mysurvplot.R")
source("Rcode/funcdefs/drawBoxplot3DiseaseGroup.R")

# Gets metadata
####################################################################
#  source("Rcode/getTargets.R") File missing

# Get the data
# Load the SS datasets from package "ssnibmg" Mukhopadhyay et.al 2017
####################################################################
library(ssnibmg)
data("ss.eset")


# This code performs GSEA on each eset without considering common genes
#########################################################
# Load the gene by pathway list (KEGG Database)
load("Metadata/gbyp.rda")
